Kubernetes clusters
List persistent volume claims
Returns the PVC claims for a specific persistent volume within a kubernetes cluster, for the tenant selected by the X-CostGraph-Tenant-ID header
GET
/
api
/
v1
/
tenant
/
clusters
/
{cluster_id}
/
persistent-volumes
/
{pv_id}
/
claims
List persistent volume claims
curl --request GET \
--url https://api.costgraph.ai/api/v1/tenant/clusters/{cluster_id}/persistent-volumes/{pv_id}/claims \
--header 'Authorization: <api-key>' \
--header 'X-CostGraph-Tenant-ID: <x-costgraph-tenant-id>'import requests
url = "https://api.costgraph.ai/api/v1/tenant/clusters/{cluster_id}/persistent-volumes/{pv_id}/claims"
headers = {
"X-CostGraph-Tenant-ID": "<x-costgraph-tenant-id>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-CostGraph-Tenant-ID': '<x-costgraph-tenant-id>', Authorization: '<api-key>'}
};
fetch('https://api.costgraph.ai/api/v1/tenant/clusters/{cluster_id}/persistent-volumes/{pv_id}/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "some message",
"status": "success",
"data": [
{
"action": "<string>",
"containers": 123,
"created_at": "<string>",
"current_cost": 123,
"days_until_full": 123,
"growth_rate_per_day": 123,
"name": "<string>",
"namespace": "<string>",
"reasons": [
"<string>"
],
"urgency": "<string>",
"pricing_pins": {},
"recommended_cost": 123,
"savings": 123
}
]
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}Authorizations
Enter "Bearer {token}"
Headers
Tenant ID
Path Parameters
Kubernetes cluster ID
Persistent volume ID
Was this page helpful?
⌘I
List persistent volume claims
